Kapitel 2. GIMP in Betrieb nehmen
| Teil I. Lernen Sie GIMP kennen! |

## Kapitel 2. GIMP in Betrieb nehmen

## 1. Starthilfen

Alle aktuellen Betriebssysteme stellen Ihnen eine Oberfläche zur Verfügung, wo Sie zum Starten von Programmen lediglich auf das zugehörige Symbol doppelklicken müssen. Dies ist auch für GIMP der Fall. Alternativ können Sie es jedoch auch durch Eingabe von gimp auf der Kommandozeile starten. Sollten Sie mehrere GIMP-Versionen installiert haben, wird es nötig sein, GIMP beispielsweise explizit mit dem Kommando gimp-2.6 zu starten. Zusätzlich zu diesem Kommando können Sie verschiedene Parameter und Dateinamen angeben, um zum Beispiel mehrere Bilder gleichzeitig zu öffnen.

Außerdem können Sie bei den meisten Betriebssystemen Bilddateien mit GIMP assoziieren, so dass das Programm automatisch gestartet wird, wenn Sie eine Bilddatei „doppelklicken“.

### 1.1. Plattformverfügbarkeit

GIMP ist heutzutage eines der am weitesten verbreiteten Bildbearbeitungsprogramme und mindestens auf folgenden Plattformen verfügbar:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™ und BeOS™.

Durch den offengelegten Programmcode kann GIMP leicht auf andere Plattformen portiert werden. Besuchen Sie für weitere Informationen die GIMP-Entwicklerseite [GIMP-DEV].

### 1.2. GIMP auf Deutsch

GIMP bietet unter anderem eine komplett deutsche Oberfläche. Die Sprache, in der Sie GIMP betreiben möchten, ist abhängig von den Systemeinstellungen. Sollte eine automatische Erkennung Ihrer gewünschten Sprache fehlschlagen oder sollten Sie einfach mal eine andere Sprache verwenden wollen, ist es möglich, GIMP manuell in einer bestimmten Sprache zu starten:

Linux

  GNU/Linux : Öffnen Sie eine Konsole und geben Sie folgendes ein: `LANG=de gimp`, um GIMP in Deutsch zu starten. Möchten Sie GIMP auf z.B. in Französisch starten, ersetzen Sie die Landesbezeichnung "de" durch "fr". Hintergrund: Durch `LANGUAGE=de` setzen Sie eine Umgebungsvariable für das ausgeführte Programm `gimp`.

Windows XP

  Schaltfläche Control Panel → System → Advanced → Environment im Bereich „System Variables“: Schalter Add: Geben Sie LANG für Name und en für Wert ein. Achtung! Sie müssen dreimal auf OK drücken, um Ihre Auswahl zu bestätigen.

  Wenn Sie die Spracheinstellung häufig ändern, empfiehlt sich eine Automatisierung per Skriptdatei. Öffnen Sie Notepad und geben Sie beispielsweise für Englisch die folgenden Kommandos ein:

  `set lang=en
  start gimp-2.6.exe`

  Speichern Sie die Datei mit der Namenserweiterung `.BAT`, beispielsweise als `GIMP-EN.BAT`. Beim Ausführen wird die entsprechende Sprache aktiviert.

  Eine andere Möglichkeit: Start → Programme → GTK-Laufzeitumgebung Dann Sprache wählen und im Klappmenü die gewünschte Sprache auswählen.

Apple Mac OS X

  Öffnen Sie die Systemeinstellungen und klicken auf das Symbol Landeseinstellungen, die gewünschte Sprache sollte die erste in der Liste sein.

Eine weitere GIMP-Instanz

  Sie können eine neue GIMP-Instanz starten, wenn Sie die Kommandozeilenoption `-n` verwenden. Beispielsweise `gimp-2.6`, um GIMP in Ihrer Sprache zu starten, und `LANGUAGE=en gimp-2.6 -n`, um eine weitere Instanz in Englisch zu haben. Das ist insbesondere für Übersetzer nützlich.

### 1.3. Kommandozeilenparameter

Kommandozeilenparameter können sehr nützlich sein, sind aber optional. Die Liste der Parameter ist abhängig vom verwendeten Betriebssystem und der verwendeten GIMP-Version. Nachfolgend werden die am häufigsten verwendeten Optionen erläutert.Unter Unix-ähnlichen Betriebssystemen können Sie eine komplette Liste in der Manpage (`man gimp`) erfragen.

Um die Kommandozeilenparameter zu nutzen, müssen Sie diese beim Start von GIMP über die Kommandozeile in der folgenden Form angeben: gimp-2.6 [OPTION...] [DATEI|URI...]

-?, --help

  Eine Liste aller verfügbaren Parameter zeigen.

--help-all

  Alle Hilfeoptionen anzeigen.

--help-gtk

  GTK+-Optionen anzeigen.

-v, --version

  Versionsinformationen anzeigen und Programm beenden.

--license

  Lizenzinformationen anzeigen und Programm beenden.

--verbose

  Detaillierte Meldungen auf der Konsole zeigen.

-n, --new-instance

  Eine neue GIMP-Instanz starten.

-a, --as-new

  Bilder als neu öffnen.

-i, --no-interface

  Ohne Benutzeroberfläche starten.

-d, --no-data

  Keine Muster, Gradienten, Farbpaletten oder Pinsel öffnen. Dies ist in nicht-interaktiven Umgebungen sinnvoll, um die Startzeit zu minimieren.

-f, --no-fonts

  Keine Schriften laden. Das ist nützlich, um GIMP für Skripte, die keine Schriften benötigen, schneller zu laden, oder um Probleme zu lokalisieren, die mit korrupten Schriften zusammenhängen und GIMP einfrieren lassen.

-s, --no-splash

  Keinen Startbildschirm zeigen.

--no-shm

  Keinen gemeinsam genutzten Speicher zwischen GIMP und den Modulen verwenden.

--no-cpu-accel

  Keine speziellen Prozessorbeschleunigungen verwenden.

--session=`name`

  Ein anderes Sitzungsprofil verwenden. Der angegebene Sitzungsname wird an den Standarddateinamen (`sessionrc`) angehängt.

--gimprc=`filename`

  Ein alternatives `gimprc`-Profil verwenden. (Die Datei `gimprc` enthält Ihre Präferenzen.) Nützlich in Fällen, wo sich Pluginpfade oder Maschinenspezifikationen unterscheiden.

--system-gimprc=`filename`

  Ein alternatives Systemprofil verwenden.

-b, --batch=`commands`

  Befehle im Stapelmodus ausführen. Die Befehle werden normalerweise in Form eines Skriptes angegeben. Sollte `-` angegeben sein, werden die Kommandos von der Standardeingabe gelesen.

--batch-interpreter=`proc`

  Die Prozedur zum Abarbeiten von Befehlsabfolgen angeben. Die Voreinstellung ist Skript-Fu.

--console-messages

  Warnungen im Terminal statt in einem Dialog ausgeben.

--pdb-compat-mode=`mode`

  PDB-Kompatibilitätsmodus (off|on|warn).

--stack-trace-mode=`mode`

  Fehlersuche beim Absturz (never|query|always).

--debug-handlers

  Aktiviert Fehlersuchroutinen für nicht-schwerwiegende Signale.

--g-fatal-warnings

  Alle Warnungen als kritisch einstufen.

--dump-gimprc

  Eine gimprc-Datei mit den Standardeinstellungen ausgeben.

--display=`display`

  Den angegebene X-Bildschirm verwenden (nicht auf allen Systeme verfügbar).

2. Was gibt es Neues in GIMP 2.6? |  | 2. GIMP das erste Mal starten